Module jdk.net
Package jdk.net

# Record Class UnixDomainPrincipal

java.lang.Object
java.lang.Record
jdk.net.UnixDomainPrincipal

Record Components:
  `user` - the user identity
  `group` - the group identity

public record UnixDomainPrincipal(UserPrincipal user, GroupPrincipal group) extends Record
Represents the credentials of a peer connected to a Unix domain socket.

Since:
  16

## Constructor Summary

Constructors
Constructor
Description
`UnixDomainPrincipal​(UserPrincipal user, GroupPrincipal group)`
Creates a UnixDomainPrincipal.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals​(Object o)`
Indicates whether some other object is "equal to" this one.
`GroupPrincipal`
`group()`
Returns the value of the `group` record component.
`int`
`hashCode()`
Returns a hash code value for this object.
`String`
`toString()`
Returns a string representation of this record class.
`UserPrincipal`
`user()`
Returns the value of the `user` record component.

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnixDomainPrincipal

public UnixDomainPrincipal​(UserPrincipal user, GroupPrincipal group)
Creates a UnixDomainPrincipal.

Parameters:
  `user` - the user identity
  `group` - the group identity
Throws:
  `NullPointerException` - if `user` or `group` are `null`.

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object
See Also:
  `Object.toString()`

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object
See Also:
  `Object.hashCode()`

### equals

public final boolean equals​(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.
See Also:
  `Objects.equals(Object,Object)`

### user

public UserPrincipal user()
Returns the value of the `user` record component.

Returns:
  the value of the `user` record component

### group

public GroupPrincipal group()
Returns the value of the `group` record component.

Returns:
  the value of the `group` record component